Bug 247435 - queuegraph is denied by selinux
queuegraph is denied by selinux
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: queuegraph (Show other bugs)
el5
All Linux
low Severity low
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 06:31 EDT by Leif O M Bergman
Modified: 2007-11-15 19:41 EST (History)
0 users

See Also:
Fixed In Version: 1.1-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 19:37:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leif O M Bergman 2007-07-09 06:31:19 EDT
Description of problem:
The cgi script have bad selinux permissions.

Version-Release number of selected component (if applicable):
queuegraph-1.1-1.el5

How reproducible:
Always in enforcing mode

Steps to Reproduce:
1. yum install queuegraph
2. *tinker with apache config*
3.
  
Actual results:
In webserver logs
    "Premature end of script headers: queuegraph.cgi"

Expected results:
Nice graphs of the mail traffic

Additional info:
semanage fcontext -a -t httpd_sys_script_exec_t "/usr/share/queuegraph(/.*)?"
semanage fcontext -a -t httpd_sys_content_t "/var/lib/queuegraph(/.*)?"
semanage fcontext -a -t httpd_sys_content_t "/var/cache/queuegraph(/.*)?"

This will make everything work again. Should go into the rpmscriptlets?
Comment 1 Bernard Johnson 2007-07-12 13:23:44 EDT
(In reply to comment #0)
> This will make everything work again. Should go into the rpmscriptlets?

It's a little more complicated than that.  It requires a selinux policy package.
 I'm working on one for the mailgraph program right now and I'll start this one
next.

Comment 2 Fedora Update System 2007-11-06 11:13:51 EST
queuegraph-1.1-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update queuegraph'
Comment 3 Fedora Update System 2007-11-09 18:47:51 EST
queuegraph-1.1-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update queuegraph'
Comment 4 Fedora Update System 2007-11-15 19:37:12 EST
queuegraph-1.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-11-15 19:41:54 EST
queuegraph-1.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.